## ros-humble-create-description 3.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(create_description)

find_package(ament_cmake REQUIRED)

install(DIRECTORY launch/
  DESTINATION share/${PROJECT_NAME}/launch
  PATTERN ".svn" EXCLUDE
)

install(DIRECTORY meshes/
  DESTINATION share/${PROJECT_NAME}/meshes
  PATTERN ".svn" EXCLUDE
)

install(DIRECTORY urdf/
  DESTINATION share/${PROJECT_NAME}/urdf
  PATTERN ".svn" EXCLUDE
)

ament_package()

=== debian/changelog ===
ros-humble-create-description (3.1.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacobmperron@gmail.com>  Sun, 21 May 2023 07:00:00 -0000

ros-humble-create-description (3.0.0-1jammy) jammy; urgency=high

  * Add execution time dependency on launch_xml
  * Update maintainer email
  * Update package.xml descriptions
  * Fixed left/right wheel joints in gazebo diff drive plugin parameters (#77 <https://github.com/autonomylab/create_robot/issues/77>) (#81 <https://github.com/autonomylab/create_robot/issues/81>)
  * Port to ROS 2 (foxy) (#8 <https://github.com/autonomylab/create_robot/issues/8>)
  * Fix xacro warning
  * Update maintainer info
  * Rename packages for clarity
    Originally the packages were named as 'create_autonomy', with the 'ca_' suffix for short.
    This was due to a name conflict with the turtlebot packages (e.g. create_driver and create_description):
    https://github.com/turtlebot/turtlebot_create.git
    Since the turtlebot packages are not released into ROS Melodic, the plan is to release these packages instead.
    If the turtlebot packages are eventually released, it should be straightforward to adapt them to use the
    description and driver packages here.
    Summary of renaming:
    * create_autonomy -> create_robot
    * ca_description -> create_description
    * ca_driver -> create_driver
    * ca_msgs -> create_msgs
    * ca_tools -> create_bringup
  * Contributors: Jacob Perron, Pedro Grojsgold

 -- Jacob Perron <jacobmperron@gmail.com>  Sat, 13 May 2023 07:00:00 -0000

ros-humble-create-description (1.3.0-1jammy) jammy; urgency=high

  * Migrate to package.xml format 2
    
    Minor linting to package files.
  * Update install rules
  * Refactor launch files and expose robot base and odometry frame IDs as parameters
  * Refactor CMakeLists.txt and package.xml files and add missing install rules
  * Contributors: Jacob Perron

 -- Jacob Perron <jacobmperron@gmail.com>  Sun, 10 Jun 2018 07:00:00 -0000

ros-humble-create-description (1.2.0-1jammy) jammy; urgency=high

  * Add support for more than two robot models and fix compiling with latest changes from libcreate.
  * Contributors: Ben Wolsieffer

 -- Jacob Perron <jacobmperron@gmail.com>  Fri, 07 Oct 2016 07:00:00 -0000

ros-humble-create-description (1.1.0-1jammy) jammy; urgency=high

  * Refactor URDF to support differences between Create 1 and 2, while using a common base.
  * Include a mesh for the Create 1, borrowed from turtlebot_create.
  * Update launch files to support Create 1.
  * Contributors: Ben Wolsieffer

 -- Jacob Perron <jacobmperron@gmail.com>  Sat, 23 Jul 2016 07:00:00 -0000

ros-humble-create-description (1.0.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacobmperron@gmail.com>  Tue, 24 May 2016 07:00:00 -0000

ros-humble-create-description (1.0.0-1jammy) jammy; urgency=high

  * Add ca_description package
  * Contributors: Jacob Perron

 -- Jacob Perron <jacobmperron@gmail.com>  Fri, 01 Apr 2016 07:00:00 -0000

=== debian/control ===
Source: ros-humble-create-description
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacobmperron@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: http://wiki.ros.org/create_description
Standards-Version: 3.9.2

Package: ros-humble-create-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-launch-xml, ros-humble-robot-state-publisher, ros-humble-urdf, ros-humble-xacro, ros-humble-ros-workspace
Description: Robot URDF descriptions for create_robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-create-description//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
